Module java.desktop
Package javax.print.attribute

## Class UnmodifiableSetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.print.attribute.UnmodifiableSetException

All Implemented Interfaces:
  Serializable

    public class UnmodifiableSetException
    extends RuntimeException

Thrown to indicate that the requested operation cannot be performed because the set is unmodifiable.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnmodifiableSetException()` Constructs an UnsupportedOperationException with no detail message.
`UnmodifiableSetException(String message)` Constructs an UnmodifiableSetException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### UnmodifiableSetException

    public UnmodifiableSetException()

Constructs an UnsupportedOperationException with no detail message.

#### UnmodifiableSetException

    public UnmodifiableSetException(String message)

Constructs an UnmodifiableSetException with the specified detail message.

Parameters:
  `message` - the detail message